Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3674 - Kernel panic unless Return is hit at LILO prompt
Summary: Kernel panic unless Return is hit at LILO prompt
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-23 15:13 UTC by david_cook
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-13 20:17:13 UTC


Attachments (Terms of Use)

Description david_cook 1999-06-23 15:13:10 UTC
I've seen this on two customer machines:
if the user lets LILO timeout there is a
kernel panic;  if RETURN is typed it
boots normally.

A workaround is to add an empty append line
to lilo.conf:

append=" "

Comment 1 Jay Turner 1999-06-23 17:34:59 UTC
Can you get me the details of these machines.  We have not seen this
behavior in the test lab, so any help that you can give would be
greatly appreciated.

Comment 2 diamond 1999-08-12 15:42:59 UTC
I have the same problem. If LILO times out, there's a kernel panic.
VFS reports: "Cannot open root device 00:30." There is no default
boot command line, no fallback and the lilo options line is "ro
root=308" -- it seems as if the "8" is being ignored. David Cook's
workaround (APPEND = " ") solves the problem here. Thanks!


Note You need to log in before you can comment on or make changes to this bug.